# Uses of Class
org.apache.qpid.proton.amqp.security.SaslChallenge

Packages that use SaslChallenge
Package
Description
org.apache.qpid.proton.amqp.security
org.apache.qpid.proton.codec.security
org.apache.qpid.proton.engine.impl

## Uses of SaslChallenge in org.apache.qpid.proton.amqp.security

Methods in org.apache.qpid.proton.amqp.security with parameters of type SaslChallenge
Modifier and Type
Method
Description
`void`
SaslFrameBody.SaslFrameBodyHandler.`handleChallenge(SaslChallenge saslChallenge, Binary payload, E context)`

## Uses of SaslChallenge in org.apache.qpid.proton.codec.security

Methods in org.apache.qpid.proton.codec.security that return SaslChallenge
Modifier and Type
Method
Description
`SaslChallenge`
SaslChallengeType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.security that return types with arguments of type SaslChallenge
Modifier and Type
Method
Description
`Class<SaslChallenge>`
SaslChallengeType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.security with parameters of type SaslChallenge
Modifier and Type
Method
Description
`protected List`
SaslChallengeType.`wrap(SaslChallenge val)`

## Uses of SaslChallenge in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type SaslChallenge
Modifier and Type
Method
Description
`void`
SaslImpl.`handleChallenge(SaslChallenge saslChallenge, Binary payload, Void context)`